#pragma once

#include "CoreMinimal.h"
#include "GenericTooltipViewData.generated.h"

USTRUCT(BlueprintType)
struct FGenericTooltipViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText Title;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText Content;

public:
	DBDUIVIEWINTERFACES_API FGenericTooltipViewData();
};

FORCEINLINE uint32 GetTypeHash(const FGenericTooltipViewData) { return 0; }
